The Future Rosegarden 2.0

The end is closer every day. After months of slogging, we finally have something tangible, and quite broken.

Rosegarden 2.0 is primarily a Qt4 application, but it still depends on KDE4 for i18n() is now a Qt4 application, but still uses some Qt3-compatibility classes, such as Q3Canvas to defer those major rewrite until after the obligatory rewrites have been accomplished.

Working environment

Here's how to check out, update, and test-build the Qt4 port. Note that this code is now in the Subversion trunk, it is no longer a separate branch. (The old, stable code is the separate branch now.)

First you'll need the Qt4 development headers. On Ubuntu this one line seems to do the trick:

  $ sudo apt-get install libqt4-dev

Then,

  $ svn co https://rosegarden.svn.sourceforge.net/svnroot/rosegarden/trunk/rosegarden
  $ cd rosegarden
  $ sh ./bootstrap.sh
  $ ./configure
  $ make 
  $ ./rosegarden

You may well have to install more development packages, but the configure script will probably tell you about those. Check this link for more suggestions. On a clean Ubuntu installation the following was needed:

  $ sudo apt-get install subversion build-essential automake ladspa-sdk liblircclient-dev libjack-dev dssi-dev liblrdf-dev libfftw3-dev xutils-dev 

For the old KDE3 codebase we used a comprehensive CMake-based build system; this has never (yet) been converted to the new code, so we are testing a simpler autoconf configuration instead. It should work, but it's not guaranteed. If you find fixable problems, please report them to the -devel list.

There is no need to install anything, as it is all encapsulated in the one rosegarden binary.

Bug tracker

We're not going to start using the SourceForge tracker to keep track of things until later in the process. Instead, we've got this handy dandy Tracker Page